<template>
  <div>
    <v-container class="inside">
      <v-row>
        <v-col md="6">
          <strong>Compra:</strong>
          {{printContent.id}}
          <br />
          <strong>Asignada a:</strong>
          {{printContent.info.vehicle}}
          <br />
          <br />
          <h3>Datos del cliente</h3>
          <strong>Nombre:</strong>
          {{printContent.info.client.name}} {{printContent.info.client.last_name}}
          <br />
          <strong>Teléfono:</strong>
          {{printContent.info.client.phone}}
          <br />
          <strong>Calle:</strong>
          {{printContent.info.client.street}}
          <br />
          <strong>Colonia:</strong>
          {{printContent.info.client.bloc}}
          <br />
          <strong>CP:</strong>
          {{printContent.info.client.postal_code}}
          <br />
          <br />

          <h3>Datos de compra</h3>
          <strong>Productos:</strong>
          <li
            v-for="(item) in printContent.info.products"
            :key="item.id"
          >{{item.amount}} {{item.quantity}} {{item.name}}</li>
          <br />
          <br />
          <strong>Canastas:</strong>
          <li v-for="(item) in packagesItems" :key="item.id">
            <strong>{{item.name}}</strong>
            <ul>
              <li v-for="(item1) in item.products" :key="item1.id">{{item1.name}}</li>
            </ul>
          </li>
          <br>
          <br>
          <Strong>Total de compra: </Strong>${{printContent.info.total}}
        </v-col>
      </v-row>
      <v-row>
        <v-col md="1">
          <button class="btnI" @click="sendToPrint()" onclick="print()">IMPRIMIR</button>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<script>
import firebase from "firebase/app";
export default {
  props: {
    printContent: {
      type: Object
    }
  },
  data: () => ({
    packagesItems: []
  }),
  methods: {
    sendToPrint() {
      this.$emit("printOrder", false);
    }
  },
  async created() {
    const db = firebase.firestore();
    if (this.printContent.info.packages.length === 0) {
      return 0
    } else {
      var pack = await db
        .collection("packages")
        .doc(this.printContent.info.packages[0].id)
        .get();
      this.packagesItems.push(pack.data());
      if (this.printContent.info.packages.length > 1) {
        var pack1 = await db
          .collection("packages")
          .doc(this.printContent.info.packages[1].id)
          .get();
        this.packagesItems.push(pack1.data());
      }
    }
  }
};
</script>


<style scoped>
.inside {
  background-color: white;
}
body {
  z-index: -10000;
  background-color: white !important;
  margin: 20px 60px;
  margin-left: 100px;
  width: calc(100% - 160px);
  box-sizing: border-box;
  text-align: center;
  font-family: "Roboto", sans-serif;
}
.btnI {
  border: solid 1px;
}

@media only print {
  button {
    display: none;
  }
}
</style>



